using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petlja_E___Gric
{
    class Program
    {
        static void Main(string[] args)
        {

            string[] str = Console.ReadLine().Split(' ');

            double h=Convert.ToDouble(str[1]);
            int br = Convert.ToInt32(str[3]);

            int bro = 0;

            for(int i=0;i<br;i++)
            {
                str= Console.ReadLine().Split(' ');
                if(str[0]=="2")
                {
                    bro++;
                }
            }

            for(int i=0;i<bro;i++)
            {
                Console.WriteLine(h);
            }
            Console.ReadLine();
        }
    }
}